---
layout: post
status: publish
published: true
title: HTML5 Mastery - Anselm Bradford & Paul Haine
author:
  display_name: dcodernz
  login: dcodernz
  email: no-reply@thh.com
  url: ''
author_login: admin
author_email: no-reply@thh.com
wordpress_id: 169
wordpress_url: http://www.thheuer.com/?p=169
date: '2012-02-19 21:23:38 +1300'
date_gmt: '2012-02-19 09:23:38 +1300'
categories:
- JavaScript
- Web Design
- CSS
- Review
- HTML5
tags: [JavaScript,CSS,HTML5,Review]
comments: []
---

<p>In HTML5 Mastery Anselm Bradford and Paul Haine present the complete set of new elements that HTML5 has to offer.</p>

<p>This is for the beginner as well as the advanced level web developer/designer to learn the new techniques for developing standard compliant web sites/pages.</p>
<p>If you are a web developer and know the basics of HTML and want to take that leap forward into a new era of web standards, this book is for you. Anselm and Paul describe all of the elements that have been added by the time of writing in a very efficient and concise way. Examples of use and use cases make the context in which these elements should be used very clear and explanations are kept simple in order to maximise the readers understanding. If you are looking for a  book that gives a complete overview of HTML5 you have come to the right place. If you are looking for a book going into detail on the new JavaScript APIs, this book gives you an idea of what you can do but is by no means the focus of this book. The focus is more on HTML5 as in its markup elements. So, in essence, it serves the title well.</p>
<h3>Chapter 1</h3>
<p>Here the authors describe how HTML5 came about and what the history behind it is. The reader gets a general introduction to an HTML5 documents basic structure and its ease of implementation compared to previous standards.</p>
<h3>Chapter 2</h3>
<p>In Chapter 2 &quot;Using the right tag for the right job&quot; the old and new elements are described in detail. It is filled with a lot of information on how to effectively use the correct element in the right situation. If you need a refresher on old elements and need to know new elements, this chapter is for you.</p>
<h3>Chapter 3</h3>
<p>This is all about semantics. The aim of the standard is to provide for a semantic web that is better searchable and discoverable. The main thing I got out of this chapter is that HTML should be used to optimize content and not for styling. The good part here are a lot of diagrams that visually explain the concepts and outline the tags and their usage.</p>
<p>This is not a complete summary by all means. I merely try to give an overview and make you aware of this book's use. This book is useful for designers and web developers alike. What I got out of it is a lot of information that I wouldn't have even looked up because I wouldn't have thought of it. It is definitely a must read for web oriented people who want to embrace the advances of HTML in the 21st century's second decade. If you would like a complete reference and understanding of markup, this book is for you. If you are a pure programmer and want to know more about HTML5's canvas and video element's API, this book only scratches the surface. However, all you need to know is what is possible and this book is good at telling you that.</p>
